I am  using simple_html_dom on php 5.4 version after updating php to 7.1 it start displaying the following error


Warning: file_get_contents(): stream does not support seeking in /simple_html_dom.php

Warning: file_get_contents(): Failed to seek to position -1 in the stream in /simple_html_dom.php

also

when I moved it from one system to another, I was able to change the simple_html_dom file by removing the offset reference (didn;t cause any further problems for me).

On line 75 of simple_html:

$contents = file_get_contents($url, $use_include_path, $context, $offset);

I removed the reference to $offset:

$contents = file_get_contents($url, $use_include_path, $context);

No my page works fine, Not taking liability for anything else it breaks! 🙂